org.apache.ignite.internal.processors.marshaller

## Class MissingMappingRequestMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.marshaller.MissingMappingRequestMessage

All Implemented Interfaces:
  Serializable, Message

    public class MissingMappingRequestMessage
    extends Object
    implements Message

Client node receives discovery messages in asynchronous mode so it is possible that all server nodes already accepted new mapping but clients are unaware about it. In this case it is possible for client node to receive a request to perform some operation on such class client doesn't know about its mapping. Upon receiving such request client sends an explicit `MissingMappingRequestMessage` mapping request to one of server nodes using CommunicationSPI and waits for `MissingMappingResponseMessage` response. If server node where mapping request was sent to leaves the cluster for some reason mapping request gets automatically resent to the next alive server node in topology.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MissingMappingRequestMessage()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `onAckReceived()` Method called when ack message received.
`byte` `platformId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`int` `typeId()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingMappingRequestMessage

    public MissingMappingRequestMessage()

Default constructor.

### Method Detail

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### platformId

    public byte platformId()

#### typeId

    public int typeId()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018